// JavaScript for InfoLit Quizzes

function checkAnswer1() {var answerArray = new Array( 
<!--1a-->
"Nope. Using AND between two keywords limits your search to results that have both keywords in them. You'll get fewer results.", 
<!--1b-->
"Yes! Using OR between two keywords expands your search to include results that have either (or both) of the keywords in them. You'll retrieve more results.", 
<!--1c-->
"Sorry. Using NOT between two keywords limits your search by excluding results with one or more keywords. You'll see fewer results.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox1.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer2() {var answerArray = new Array( 
<!--2a-->
"Nope.  You can find journal articles in OmniFile Full Text.",
<!--2b-->
"Yes! The library catalog includes books, videos, cds, and journals but not journal articles!",
<!--2c-->
"No, you can actually find articles using the Literature Resource Center database.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox2.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer3() {var answerArray = new Array( 
<!--3a-->
"This search is probably too general.  Try futurism AND fascism instead to get better results.",
<!--3b-->
"This search is probably too specific. Try broadening your search with less specific terms, like futurism AND fascism.",
<!--3c-->
"Good choice! Futurism AND fascism should retrieve relevant results. ");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox3.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer4() {var answerArray = new Array( 
<!--4a-->
"Yup! Goldsworthy in the Author field will return all works written by Andy Goldsworthy.  Searching the Title as in (c) would work too.", 
<!--4b-->
"Nope. Stones in the Title field will return only titles that begin with Stones. This will retrieve a different work by Andy Goldsworthy.", 
<!--4c-->
"Yes! Black stones in the Title field will retrieve the book. Searching the Author field (a)  would work too.", 

"Precisely.",

"Actually, searching either the Author (a) or Title (c) fields would find the Goldsworthy book for you.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox4.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer5() {var answerArray = new Array( 
<!--5a-->
"Maybe. This would retrieve any books in the library that were written by Diane Arbus, but not biographies written by other people.", 
<!--5b-->
"Not the best choice. Life is a very broad term. Better to target your search with a more specific term (like biography).", 
<!--5c-->
"Yes! This will locate biographical works about Diane Arbus.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox5.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer6() {var answerArray = new Array( 
<!--6a-->
"Not bad. Combined Search searches across the library's catalog and article databases.",
<!--6b-->
"Good choice! Periodical indexes can be a quick and easy way to locate articles on a specific topic.",
<!--6c-->
"Nope. You can only find journals, not articles, in the library catalog. You can find articles with Combined Search and Avery.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox6.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer7() {var answerArray = new Array( 
<!--7a-->
"Sorry, no! Web search engines will not retrieve full-text scholarly journal articles.",
<!--7b-->
"Close, but no cigar! Citation indexes provide citations but not full-text articles. Use these when you have time to track down print articles.",
<!--7c-->
"Yes! Art Full Text provides full-text scholarly articles that you can download, email, save and print immediately.",
"Nope. The Catalog will locate books, print journals by name and audio-visual materials, but not full-text articles.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox7.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer8() {var answerArray = new Array( 
<!--8a-->
"Not bad.  Using the asterick in wom*n will find both woman and women.  But searching for art without an asterick at the end (art*) will miss books with the words artist, artistry, and so forth.", 
<!--8b-->
"Not quite.  You can use wom*n to find both woman and women which will increase your results.  And searching for art*sts won't find art, artistry, and other terms.", 
<!--8c-->
"Great!  Wom*en will find woman and women, and art* will find art, arts, artist, artistry and more!");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox8.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer9() {var answerArray = new Array( 
<!--9a-->
"Nope.  You can find journal articles in Art Full Text.",
<!--9b-->
"Yes! The library catalog includes books, videos, cds, and journals but not journal articles!",
<!--9c-->
"No, you can actually find articles using the Literature Resource Center database.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox9.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer10() {var answerArray = new Array( 
<!--10a-->
"Nope.  Using AND with keywords will only return results that have both keywords present, which will get you fewer results.", 
<!--10b-->
"Yes! Using OR finds results with either keyword present.", 
<!--10c-->
"Nope. Using NOT excludes results with certain keywords present and so finds fewer results.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox10.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer11() {var answerArray = new Array( 
<!--10a-->
"Nope.  MINUS won't do anything in most databases.  Try NOT, like in (c) instead.", 
<!--10b-->
"Oops - that will exclude info on Kahlo.  Try kahlo NOT rivera (c) instead.", 
<!--10c-->
"Exactly!");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox11.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer12() {var answerArray = new Array( 
<!--10a-->
"Great, this will find articles with terrorist, terrorists, and terrorism. ", 
<!--10b-->
"(a) is probably a much better search since you'll miss articles with terrorist, terrorists, and terrorism when you search for art AND terror.", 
<!--10c-->
"(a) is probably a much better search since you'll miss articles with terrorist and terrorism when you search for artists AND terrorists.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox12.value = answerArray[ radioButtons[m].value ];
		}
	}
}

function checkAnswer13() {var answerArray = new Array( 
<!--10a-->
"You might find some info about the journal with Google, but you probably can't find the article online... Try (c) other libraries instead. ", 
<!--10b-->
"ARTstor will only find digital images, actually.  Try (c) other libraries instead.", 
<!--10c-->
"Great idea!  Public library cards are free and the libraries have a ton of good resources.");
	var radioButtons = document.forms['test'].radioGroup;
	
	for ( var m = 0; m < radioButtons.length; m++ ) {
		if ( radioButtons[m].checked ) {document.forms['test'].whitebox13.value = answerArray[ radioButtons[m].value ];
		}
	}
}